HOSTID(1)

NAME
hostid - display identifier of current host system

SYNOPSIS
hostid

DESCRIPTION
The hostid command prints the identifier of the current host in hexadecimal. This numeric value is expected to be unique across all hosts and is derived from the host's Ethernet network hardware address. If the host has no network interface hardware, the value will be reported as 0: in this case alternative action should be taken to determine a unique identifier for the host.

SEE ALSO
gethostid(2)

NOTES
The identifier is presently reported as a 32-bit number: this is not guaranteed to be unique since Ethernet network hardware addresses are unique only as 48-bit quantities.